Bug 991630 - (CVE-2013-4202) CVE-2013-4202 OpenStack: Cinder Denial of Service using XML entities
CVE-2013-4202 OpenStack: Cinder Denial of Service using XML entities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130808,repor...
: Security
Depends On: 991631 995183 995184 995185 995187
Blocks: 991632
  Show dependency treegraph
 
Reported: 2013-08-03 00:56 EDT by Kurt Seifried
Modified: 2016-04-26 14:52 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 02:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cinder-grizzly-CVE-2013-4202.patch (1.26 KB, patch)
2013-08-03 00:59 EDT, Kurt Seifried
no flags Details | Diff
cinder-master-CVE-2013-4202.patch (2.54 KB, patch)
2013-08-03 01:00 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-08-03 00:56:41 EDT
Thierry	Carrez (thierry@openstack.org) reports:

Title: Denial of Service using XML entities in Nova/Cinder extensions
Reporter: Grant Murphy (Red Hat)
Products: Nova, Cinder
Affects: Grizzly and later

Description:
Grant Murphy from Red Hat reported that vulnerabilities in XML request
parsers were not fully patched in OSSA 2013-004. By leveraging XML
entity expansion in specific extensions, an unauthenticated attacker may
still consume excessive resources on the Nova or Cinder API servers,
resulting in a denial of service and potentially a crash. Only Nova
setups making use of the security group extension in Grizzly are
affected. Only Cinder setups making use of the backups or volume
transfer API extension in Grizzly are affected.

Proposed patches:
See attached patches. Unless a flaw is discovered in them, these patches
will be merged to Nova & Cinder master (havana) and stable/grizzly
branches on the public disclosure date.

Please note that this was originally assigned a	single CVE. It has since
been split into two CVE's (CVE-2013-4179 continues to be used for Nova and 
CVE-2013-4202 should be used for Cinder).
Comment 2 Kurt Seifried 2013-08-03 00:59:55 EDT
Created attachment 782217 [details]
cinder-grizzly-CVE-2013-4202.patch
Comment 3 Kurt Seifried 2013-08-03 01:00:27 EDT
Created attachment 782218 [details]
cinder-master-CVE-2013-4202.patch
Comment 6 Kurt Seifried 2013-08-08 13:45:29 EDT
Created openstack-cinder tracking bugs for this issue:

Affects: fedora-all [bug 995183]
Affects: epel-6 [bug 995184]
Comment 7 Murray McAllister 2013-09-02 12:26:33 EDT
Acknowledgements:

This issue was discovered by Grant Murphy of the Red Hat Product Security Team.
Comment 8 errata-xmlrpc 2013-09-03 16:23:28 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1198 https://rhn.redhat.com/errata/RHSA-2013-1198.html

Note You need to log in before you can comment on or make changes to this bug.